summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-backoff/python-backoff-1.6.0.ebuild')
-rw-r--r--dev-python/python-backoff/python-backoff-1.6.0.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/dev-python/python-backoff/python-backoff-1.6.0.ebuild b/dev-python/python-backoff/python-backoff-1.6.0.ebuild
new file mode 100644
index 00000000000..74d97cd9e39
--- /dev/null
+++ b/dev-python/python-backoff/python-backoff-1.6.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+MY_PN=${PN#python-}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Function decoration for backoff and retry"
+HOMEPAGE="https://github.com/litl/backoff https://pypi.org/project/backoff/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="test"
+S=${WORKDIR}/${MY_P}
+
+DOCS=( README.rst )
+
+python_test() {
+ emake test || die "tests failed under ${EPYTHON}"
+}